get
https://api.sumsub.com/resources/applicants//metadata/resources
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to get the information about the uploaded images from the specific applicant profile.
Required permissions
To use this method, your app token must have the following permissions:
- View applicants
- View applicant's personal data
Request example
curl -X GET \
'https://api.sumsub.com/applicants/66bb9bd13158c00000223355/metadata/resources' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response is a JSON file that contains the structured data about all uploaded images in the applicant profile. See the response example below.
| Field | Type | Description |
|---|---|---|
items | Array of objects | Each object represents the data for an individual image. |
totalItems | Integer | Total number of all uploaded images. |
items element fields
items element fieldsThe following table explains the primary data elements of an individual image.
| Field | Type | Description |
|---|---|---|
id | String | Unique image identifier. |
previewId | String | Identifier of the image thumbnail. |
addedDate | Date | Date and time when the image was uploaded. |
fileMetadata | Object | Includes such file metadata like name, type, size, and so on. |
idDocDef | Object | Additional information about the document. |
reviewResult | Object | Contains extra details of the image check result. |
attemptId | String | Unique identifier of the current image check attempt. Applicants may initiate several attempts to get verified if, for example, they failed once or changed/added the documents, or you could change the verification level to start another check. |
source | String | Specifies the source from which the image was obtained and may be any of the following:
|
deactivated | Boolean | Indicates the image status.
|
fileMetadata attributes
fileMetadata attributesThe follwoing table explains the attributes included in the fileMetadata object.
| Field | Type | Description |
|---|---|---|
fileName | String | Image file name. |
fileType | String | Image file type. See our FAQ for a full list of mime-types and acceptable file formats. |
fileSize | Integer | Image file size (in bytes). |
resolution | Object | Includes the actual width and height of the image in pixels. |
idDocDef attributes
idDocDef attributesThe following table explains the idDocDef attributes representing the additional information about the document.
| Field | Type | Description |
|---|---|---|
country | String | Alpha-3 code (for example, DEU, GBR, ARG, and so on) of the country where the document was issued. |
idDocType | String | Type of document that is specified in the level to be provided for verification. For example, PASSPORT, SELFIE, VIDEO_SELFIE, PAYMENT_METHOD and so on.See the list of supported document types for details. |
idDocSubType | String | FRONT_SIDE, BACK_SIDE or null. |
reviewResult attributes
reviewResult attributesThe following table explains the reviewResult attributes representing details of the image check result.
| Field | Type | Description |
|---|---|---|
moderationComment | String | Human-readable comment that explains the reasons for rejection, and that can be shown to the applicant. |
clientComment | String | Human-readable comment that explains the reasons for rejection, and that must not be shown to the applicant. |
reviewAnswer | String | Explains the image review result:
|
rejectLabels | Array of strings | Includes one or more reasons for rejection. The field is available if reviewAnswer returns RED.For more details, see Resubmission requested and Rejected clarification. |
reviewRejectType | String | Indicates the type of rejection:
For more details, see Resubmission requested and Rejected clarification. |
buttonIds | Array of strings | List of button IDs that have been used for rejection. A specific buttonId is automatically assigned to each rejection. For more details, see Resubmission requested and Rejected clarification. |
Response example
{
"items": [
{
"id": "393800000",
"previewId": "1264200000",
"addedDate": "2024-10-01 16:31:51",
"fileMetadata": {
"fileName": "docapture_manual_front_side.jpg",
"fileType": "jpeg",
"fileSize": 255588,
"resolution": {
"width": 1280,
"height": 720
}
},
"idDocDef": {
"country": "PRT",
"idDocType": "DRIVERS",
"idDocSubType": "FRONT_SIDE"
},
"reviewResult": {
"moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
"clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
"reviewAnswer": "RED",
"rejectLabels": [
"UNSATISFACTORY_PHOTOS"
],
"reviewRejectType": "RETRY",
"buttonIds": [
"badPhoto_dataNotVisible"
]
},
"attemptId": "eaHEj",
"source": "docapture"
},
{
"id": "931822222",
"previewId": "1023422222",
"addedDate": "2024-10-01 16:31:51",
"fileMetadata": {
"fileName": "docapture_manual_back_side.jpg",
"fileType": "jpeg",
"fileSize": 209354,
"resolution": {
"width": 1280,
"height": 720
}
},
"idDocDef": {
"country": "PRT",
"idDocType": "DRIVERS",
"idDocSubType": "BACK_SIDE"
},
"reviewResult": {
"moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
"clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
"reviewAnswer": "RED",
"rejectLabels": [
"UNSATISFACTORY_PHOTOS"
],
"reviewRejectType": "RETRY",
"buttonIds": [
"badPhoto_dataNotVisible"
]
},
"attemptId": "eaHEj",
"source": "docapture"
},
{
"id": "512855555",
"previewId": "1557055555",
"addedDate": "2022-11-02 06:26:43",
"fileMetadata": {
"fileName": "file_name.jpg",
"fileType": "jpeg",
"fileSize": 60770,
"resolution": {
"width": 736,
"height": 975
}
},
"idDocDef": {
"country": "PRT",
"idDocType": "UTILITY_BILL"
},
"reviewResult": {
"moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
"clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
"reviewAnswer": "RED",
"rejectLabels": [
"UNSATISFACTORY_PHOTOS"
],
"reviewRejectType": "RETRY",
"buttonIds": [
"badPhoto_dataNotVisible"
]
},
"attemptId": "qwSTr",
"source": "docapture",
"deactivated": true
},
{
"id": "1380922222",
"previewId": "340033333",
"addedDate": "2022-11-02 06:26:46",
"fileMetadata": {
"fileName": "another-file-name.png",
"fileType": "png",
"fileSize": 293015,
"resolution": {
"width": 505,
"height": 660
}
},
"idDocDef": {
"country": "PRT",
"idDocType": "PASSPORT"
},
"reviewResult": {
"reviewAnswer": "GREEN"
},
"attemptId": "thUIp",
"source": "docapture",
"deactivated": false
}
],
"totalItems": 4
}